| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Public Member Functions
LT_PMBusDeviceManager Class Reference

## Detailed Description

Definition at line 56 of file LT_PMBusDeviceManager.h.

Inheritance diagram for LT_PMBusDeviceManager:

## Public Member Functions
| LT_PMBusDeviceManager (LT_PMBus *pmbus, uint8_t address, uint8_t no_pages)
void | setSpeed (uint32_t speed)
| Set the speed. If > 100000, enable clock stretching. More...
LT_PMBusRail ** | getRails ()
| Return a list of rails if any page is part of a rail. More...
Public Member Functions inherited from LT_PMBusDevice
virtual | ~LT_PMBusDevice ()
LT_PMBus * | pmbus ()
LT_SMBus * | smbus ()
void | changePMBus (LT_PMBus *pmbus)
| Change the pmbus. More...
uint8_t | getAddress ()
| Get the address. More...
virtual char * | getType (void)
virtual uint8_t | getNumPages (void)=0
void | setPage (uint8_t page)
uint32_t | getMaxSpeed (void)
| Get the maximum speed the device can communicate with. More...
virtual uint32_t | getCapabilities ()=0
| Get the supported capabilities. More...
virtual bool | hasCapability (uint32_t capability)=0
| Is/are these capability(s) supported? More...
virtual void | enableFaultLog ()
| Enable the Fault Log. More...
virtual void | disableFaultLog ()
| Disable the Fault Log. More...
virtual bool | hasFaultLog ()
| Is there a fault log? More...
virtual char * | getFaultLog ()
| Get the fault log text (call must free) More...
virtual void | clearFaultLog ()
| Clear the Fault Log. More...
void | setVout (float voltage)
float | readVin (bool polling)
float | readVout (bool polling)
float | readIin (bool polling)
float | readIout (bool polling)
float | readPin (bool polling)
float | readPout (bool polling)
float | readExternalTemperature (bool polling)
float | readInternalTemperature (bool polling)
float | readDutyCycle (bool polling)
uint16_t | readStatusWord ()
uint16_t | readMfrSpecialId ()
void | clearFaults ()
void | marginHigh ()
void | marginLow ()
void | marginOff ()

## Additional Inherited Members
Protected Member Functions inherited from LT_PMBusDevice
| LT_PMBusDevice (LT_PMBus *pmbus, uint8_t address)
void | probeSpeed ()
Protected Attributes inherited from LT_PMBusDevice
LT_PMBus * | pmbus_
uint8_t | address_
uint32_t | maxSpeed_
uint8_t | model_ [9]

## Member Function Documentation

## ◆ getRails()

LT_PMBusRail** LT_PMBusDeviceManager::getRails | ( |  | ) |
| virtual

Return a list of rails if any page is part of a rail.

Returns
  A rail, but partially built, and may need merging with other devices. Caller must free memory.

Implements LT_PMBusDevice.

Definition at line 70 of file LT_PMBusDeviceManager.h.

## ◆ setSpeed()

void LT_PMBusDeviceManager::setSpeed | ( | uint32_t | speed | ) |
| virtual

Set the speed. If > 100000, enable clock stretching.

Speed

Reimplemented from LT_PMBusDevice.

Definition at line 65 of file LT_PMBusDeviceManager.h.

## Constructor & Destructor Documentation

## ◆ LT_PMBusDeviceManager()

LT_PMBusDeviceManager::LT_PMBusDeviceManager | ( | LT_PMBus * | pmbus,
|  | uint8_t | address,
|  | uint8_t | no_pages
| ) |  |

Definition at line 63 of file LT_PMBusDeviceManager.h.

The documentation for this class was generated from the following file:

- LT_PMBusDeviceManager.h